
Ruby - Bug #12166

Backport r54073 (AIX does not set MSG_TRUC for recvmsg(2) with MSG_PEEK)

03/10/2016 07:46 PM - ReiOdaira (Rei Odaira)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v:  Backport: 2.1: DONTNEED, 2.2: DONTNEED, 2.3:

DONE

Description

This is a ticket to back-port r54073 to 2.3.

Associated revisions

Revision b39a6bef9cb42dd7e31dcf6f11e5cbb32f825f50 - 03/29/2016 03:41 PM - naruse (Yui NARUSE)

merge revision(s) 54073: [Backport #12166]

    * test/socket/test_socket.rb (test_udp_recvmsg_truncation):

      AIX does not set the MSG_TRUNC flag for a message partially read

      by recvmsg(2) with the MSG_PEEK flag set.

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_3@54410 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision b39a6bef - 03/29/2016 03:41 PM - naruse (Yui NARUSE)

merge revision(s) 54073: [Backport #12166]

    * test/socket/test_socket.rb (test_udp_recvmsg_truncation):

      AIX does not set the MSG_TRUNC flag for a message partially read

      by recvmsg(2) with the MSG_PEEK flag set.

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_3@54410 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 03/29/2016 03:41 PM - naruse (Yui NARUSE)

- Backport changed from 2.1: DONTNEED, 2.2: DONTNEED, 2.3: REQUIRED to 2.1: DONTNEED, 2.2: DONTNEED, 2.3: DONE

ruby_2_3 r54410 merged revision(s) 54073.
